ブログ

割とコンピュータよりの情報をお届けします。

2018/10/7

node.js pkgは10.xの最新系に非対応?(一緒に入れているPythonのバージョン問題か?)

node.js pkgをいろいろ試しているとnode-v10.2.xくらいは問題なく動くが,一部のバージョンを入れている環境では失敗していた。

普通はnode-v10.11.0-win-x64でも以下のコマンドで1ファイル化が完了する。

npm install -D pkg
npx pkg serv.js

実行しても環境によっては失敗する。
対策は,nodevars.batに
set "PATH=C:\WinPython-64bit-2.7.13.1Zero\python-2.7.13.amd64;%PATH%"
を追加してみることしか策を持っていない。

Python 3.7が動くようにしてると失敗するだけかもしれない

一応,pkgはPython無しでも動くはずなのに。
 

≫ Read More

2018/10/07 コンピュータ   TakeMe
Tag:Node.js